%define name SmartList
%define version 3.13
%define release 2mdk

Summary: Mailing list manager
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: Networking/Other
Source: ftp://ftp.procmail.org/pub/procmail/procmail-3.13.1.tar.bz2
Source1: ftp://ftp.procmail.org/pub/procmail/SmartList-%{version}.tar.bz2
Patch0: procmail-3.12-misc.patch.bz2
Patch1: procmail-3.10-000lock.patch.bz2
Patch2: procmail-3.10-lockf.patch.bz2
Patch3: SmartList-3.10-rcinit.patch.bz2
Patch4: SmartList-3.13-redhat.patch.bz2
Patch5: SmartList-3.13-buildroot.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot

%description
SmartList is a mailing list processor based upon procmail.

%prep
%setup -n procmail-3.13.1 -q -a 1

mv procmail-3.13/SmartList/* SmartList/
mv procmail-3.13/src/* src/

%patch0 -p1
#%patch1 -p1
%patch2 -p1

%patch3 -p1
%patch4 -p1 -b .redhat
%patch5 -p1 -b .buildroot

#%build
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/spool/listserv/.doc
make setid
useradd listserv -c Listserver -r -d /var/spool/listserv -M || :
cd SmartList
#chown -R listserv:listserv $RPM_BUILD_ROOT/var/spool/listserv
./install.sh $RPM_BUILD_ROOT/var/spool/listserv
mv $RPM_BUILD_ROOT/var/spool/listserv/.etc/Manual $RPM_BUILD_ROOT/var/spool/listserv/.doc
touch $RPM_BUILD_ROOT/var/spool/listserv/.etc/reject
rm -f $RPM_BUILD_ROOT/var/spool/listserv/.{bin,etc}/*.{orig,sopwith,dist,redhat}

%pre
useradd listserv -c Listserver -r -d /var/spool/listserv -M || :

%post
MYDOM=`hostname -d`
sed -e "s/INSERT.YOUR.MAIL.DOMAIN.HERE/$MYDOM/g" /var/spool/listserv/.etc/rc.init > /var/spool/listserv/.etc/rc.init.new
mv -f /var/spool/listserv/.etc/rc.init.new /var/spool/listserv/.etc/rc.init
chown listserv:listserv /var/spool/listserv/.etc/rc.init

%postun
userdel listserv || :
groupdel listserv || :

#%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc SmartList/FEATURES HISTORY INSTALL 
%doc SmartList/INTRO README Manifest  
%doc SmartList/Manual
%dir /var/spool/listserv
%dir /var/spool/listserv/.bin
/var/spool/listserv/.bin/*
%dir /var/spool/listserv/.etc
%config /var/spool/listserv/.etc/*
/var/spool/listserv/.examples
/var/spool/listserv/.doc

%changelog
* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.13-2mdk
- fix group
- bz2 patches
- fix permission of sources

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for mandrake

* Mon Apr 26 1999 Elliot Lee <sopwith@cuc.edu> 3.13-1
- Update to 3.13.

* Sun Nov 08 1998 Peter Soos <sp@osb.hu> 3.10-8
Changed the created listserv account to system account (uid>=200).
Remove the created listserv group too if you remove the pacckage.
Removed the unecessary part of %description referred to recocatable package.

* Tue Jun 30 1998 Peter Soos <sp@osb.hu> 3.10-7
The release 3.10-6 didn't work. Sorry.
The home directory is hardwired into some files for security reasons,
so the relocatable package doesn't work. Sorry.

* Tue Jun 23 1998 Peter Soos <sp@osb.hu> 3.10-6
Using %attr so no longer necessary to create a new account while building.

* Fri Dec 5 1997 Peter Soos <sp@osb.hu> 3.10-5
Recompiled under RedHat Linux 5.0.
Made the stuff relocatable.

* Wed Nov 12 1997 Peter Soos <sp@osb.hu> 3.10-4
I were asked to put the stuff back to /var to compliance the FHS
(Filesystem Hierarchy Standard).

* Sun Oct 4 1997 Peter Soos <sp@osb.hu> 3.10-3
Relocate the list processor directory to /home/listserv.

* Sun Sep 14 1997 Peter Soos <sp@osb.hu> 3.10-2
Some bugfixes and cosmetic changes.

* Tue Mar 4 1997 Elliot Lee <sopwith@cuc.edu> 3.10-1
Initial version (AFAIK).
